Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.dto
Class ReportDataSourceWrapper

    java.lang.Object
      com.jaspersoft.jasperserver.war.dto.BaseDTO
          com.jaspersoft.jasperserver.war.dto.ReportDataSourceWrapper

All Implemented Interfaces:
  java.io.Serializable

    public class ReportDataSourceWrapper

extends BaseDTO
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`MODE_STAND_ALONE_EDIT, MODE_STAND_ALONE_NEW, MODE_SUB_FLOW_EDIT, MODE_SUB_FLOW_NEW`

Constructor Summary
`ReportDataSourceWrapper()`

Method Summary
`java.util.List` | `getAllDatasources()`
`java.util.List` | `getAllFolders()`
`java.lang.String` | `getCustomDatasourceLabel()`
`java.util.List` | `getCustomProperties()`
`ResourceLookup[]` | `getExistingResources()`
`java.lang.Object` | `getParentFlowObject()`
`java.lang.String` | `getParentType()`
`ReportDataSource` | `getReportDataSource()`
`java.lang.String` | `getSelectedUri()`
`java.lang.String` | `getSource()`
`java.lang.String` | `getType()`
`boolean` | `isLookup()`
`void` | `setAllDatasources(java.util.List allDatasources)`
`void` | `setAllFolders(java.util.List allFolders)`
`void` | `setCustomDatasourceLabel(java.lang.String customDatasourceLabel)`
`void` | `setCustomProperties(java.util.List customProperties)`
`void` | `setExistingResources(ResourceLookup[] existingResources)`
`void` | `setLookup(boolean lookup)`
`void` | `setParentFlowObject(java.lang.Object parentFlowObject)`
`void` | `setParentType(java.lang.String parentType)`
`void` | `setReportDataSource(ReportDataSource reportDataSource)`
`void` | `setSelectedUri(java.lang.String selectedUri)`
`void` | `setSource(java.lang.String source)`
`void` | `setType(java.lang.String type)`

Methods inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`getMode, isAloneEditMode, isAloneNewMode, isEditMode, isNewMode, isStandAloneMode, isSubEditMode, isSubflowMode, isSubNewMode, setMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportDataSourceWrapper

    public ReportDataSourceWrapper()

Method Detail

### isLookup

    public boolean isLookup()

### setLookup

    public void setLookup(boolean lookup)

### getSource

    public java.lang.String getSource()

### setSource

    public void setSource(java.lang.String source)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getAllDatasources

    public java.util.List getAllDatasources()

### setAllDatasources

    public void setAllDatasources(java.util.List allDatasources)

### getReportDataSource

    public ReportDataSource getReportDataSource()

### setReportDataSource

    public void setReportDataSource(ReportDataSource reportDataSource)

### getSelectedUri

    public java.lang.String getSelectedUri()

### setSelectedUri

    public void setSelectedUri(java.lang.String selectedUri)

### getAllFolders

    public java.util.List getAllFolders()

### setAllFolders

    public void setAllFolders(java.util.List allFolders)

### getParentFlowObject

    public java.lang.Object getParentFlowObject()

### setParentFlowObject

    public void setParentFlowObject(java.lang.Object parentFlowObject)

### getParentType

    public java.lang.String getParentType()

### setParentType

    public void setParentType(java.lang.String parentType)

### getExistingResources

    public ResourceLookup[] getExistingResources()

### setExistingResources

    public void setExistingResources(ResourceLookup[] existingResources)

### getCustomProperties

    public java.util.List getCustomProperties()

### setCustomProperties

    public void setCustomProperties(java.util.List customProperties)

### getCustomDatasourceLabel

    public java.lang.String getCustomDatasourceLabel()

### setCustomDatasourceLabel

    public void setCustomDatasourceLabel(java.lang.String customDatasourceLabel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.